html {
    margin:0;
    padding:0;
    height: 100%;
    width: 100vw;
}

body {
    margin:0;
    padding:0;
    height: 100%;
    width: 100vw;
}

.container {
    height: 100%;
    margin: 4vh 2vw 8vh 2vw;
}

.judul {
    text-align: center;
    font-size: 5em;
    font-weight: bold;    
    margin-block-start: 0.2em;
    margin-block-end: 0.2em;
    padding: 0 2vw;
}

.subjudul {
    font-size: 2em;
    font-weight: bold;  
    margin-block-start: 0.4em;
    margin-block-end: 0.4em;
    text-align: center;
    padding: 0 2vw;
}

.kanankiri {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
}

.atasbawah {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
}

.alignkanankiriatas {
    align-items: flex-start;
}

.alignatasbawahkiri {
    align-items: flex-start;
}

.center {
    justify-content: center;
}

#kiri {
    border-right: #5390d9 solid 5px;
    border-radius: 5px;
    margin-right: -2.5px;
    padding: 0 1vw 0 1vw;
}

#kanan {
    border-left: #5390d9 solid 5px;
    border-radius: 5px;
    margin-left: -2.5px;
    width: 80%;
}

.borderbawah {
    border-bottom: #5390d9 solid 2px;
    margin-bottom: 5px;
}

.borderatas {
    border-top: #5390d9 solid 1px;
    margin-top: 5px;
}

/* Post */
.post {
    margin: -1px 0px 0px 10px;
    border-left: #5390d9 solid 5px;
    border-right: #5390d9 solid 5px;
    border-radius: 5px;
    width: 90%;
    cursor: pointer;
}

.post:hover {
    background: rgb(83, 144, 217, 0.2);
}

.inside-post {
    border-bottom: black solid 1px;
    border-top: black solid 1px;
    width: 99%;
    padding: 10px 10px 10px 0;
}

.profile-container {
    min-width: 10%;
    display: block;
}

.profile {
    height: 4vw;
    width: 4vw;
    background-color: #bbb;
    border-radius: 50%;
    margin: 10px 15px 10px 10px;
    margin-left: auto;
    margin-right: auto;
    border: black solid 0.1vw;
    -webkit-text-stroke-width: 0.05vw;
    -webkit-text-stroke-color: black;
    user-select: none;
}

#profileInProfil {
    height: 10vw;
    width: 10vw;
}

.inisial {
    font-size: 2.5vw; 
    color: white; 
    height: inherit;
}

.judulPost {
    font-size: 28px;
    font-weight: bold;
}

.subJudulPost {
    font-size: 15px;
    font-weight: bold;
    padding-bottom: 0.8vw;
}

.post p {
    margin-block-start: 0em;
    margin-block-end: 0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding: 0 10px 0 10px;
}

.snippet {
    width: 90%;
}

.judulPostInside {
    font-size: 42px;
    padding: 0.5vw 0 0.8vw 0;
}

.subJudulPostInside {
    font-size: 28px;
    padding-bottom: 2vw;
}

.bodyPostInside {
    width: 100%;
    font-size: 20px;
}

.isiPostInside {
    width: 70%;
    padding: 0 2vw 0 0;
    text-align: justify;
    border-right: #5390d9 solid 0.3vw;
    margin-right: -0.14vw;
}

.underline {
    text-decoration: underline;
}

/* Post Kecil */
.diskusiLain {
    width: 30%;
    padding: 0 0 0 1.5vw;
    border-left: #5390d9 solid 0.3vw;
    margin-left: -0.14vw;
}

.diskusiLainInside {
    padding-bottom: 4vw;
}

.judulDiskusiLain {
    font-size: 2vw;
    padding: 0 0 1vw 0;
}

.post-small {
    margin: -1px 0px 0px 10px;
    border-radius: 5px;
    width: 28vw;
    cursor: pointer;
    border-bottom: black solid 0.1vw;
    border-top: black solid 0.1vw;
}

.post-small:hover {
    background: rgb(83, 144, 217, 0.2);
}

.inside-post-small {
    width: 27vw;
    padding: 10px 1.1vw 10px 0;
}

.snippet-small {
    width: 82%;
}

.profile-small {
    height: 3vw;
    width: 3vw;
    background-color: #bbb;
    border-radius: 50%;
    margin: 10px 15px 10px 10px;
    margin-left: auto;
    margin-right: auto;
    border: black solid 0.1vw;
    -webkit-text-stroke-width: 0.05vw;
    -webkit-text-stroke-color: black;
    user-select: none;
}

.profile-container-small {
    min-width: 18%;
    display: block;
}

.inisial-small {
    font-size: 1.9vw; 
    color: white; 
    height: inherit;
}

.judulPost-small {
    font-size: 1.3vw;
    font-weight: bold;
}

.subJudulPost-small {
    font-size: 1.1vw;
}

.isiPost-small {
    font-size: 1vw;
}

.umum-small {border-left: #5390d9 solid 0.4vw; border-right: #5390d9 solid 0.4vw;}
.info-small {border-left: #ff9595 solid 0.4vw; border-right: #ff9595 solid 0.4vw;}
.hd-small {border-left: #ffba08 solid 0.4vw; border-right: #ffba08 solid 0.4vw;}
.hs-small {border-left: #e2afff solid 0.4vw; border-right: #e2afff solid 0.4vw;}
.tp-small {border-left: #4acdd9 solid 0.4vw; border-right: #4acdd9 solid 0.4vw;}
.th-small {border-left: #74c69d solid 0.4vw; border-right: #74c69d solid 0.4vw;}

/* edit, etc. link */
.edit {
    color: #5390d9;
    text-decoration: none;
}

.edit:hover {
    color: blue;
}

.blue {color: #5390d9; text-decoration: none;}
.blue:hover {color: blue;}
.red {color: #ff9595; text-decoration: none;}
.red:hover {color: #c03025;}
.yellow {color: #ffba08; text-decoration: none;}
.yellow:hover {color: #f48c06;}
.purple {color: #c77dff; text-decoration: none;}
.purple:hover {color: #3c096c;}
.green {color: #74c69d; text-decoration: none;}
.green:hover {color: #3c2102;}
.black {color: #4acdd1; text-decoration: none;}
.black:hover {color: #b11111;}

.semua-left {border-left: #a3c3d9 solid 7px;}
.umum-left {border-left: #5390d9 solid 7px;}
.info-left {border-left: #ff9595 solid 7px;}
.hd-left {border-left: #ffba08 solid 7px;}
.hs-left {border-left: #e2afff solid 7px;}
.th-left {border-left: #74c69d solid 7px;}
.tp-left {border-left: #4acdd9 solid 7px;}

.umum {border-left: #5390d9 solid 6px; border-right: #5390d9 solid 6px;}
.info {border-left: #ff9595 solid 6px; border-right: #ff9595 solid 6px;}
.hd {border-left: #ffba08 solid 6px; border-right: #ffba08 solid 6px;}
.hs {border-left: #e2afff solid 6px; border-right: #e2afff solid 6px;}
.tp {border-left: #4acdd9 solid 6px; border-right: #4acdd9 solid 6px;}
.th {border-left: #74c69d solid 6px; border-right: #74c69d solid 6px;}


/* Selector */
.selector {
    width: 97%;
    padding-top: 2px;
    padding-bottom: 5px;
}

.selector-content {
    text-decoration:none;   
    width: 100%;
    padding: 0 0 0 10px;
}

.selector-p {
    padding: 0 0 0 7px;
    color: black;
}

.selector-content:hover {
    background-color: rgb(83, 144, 217, 0.25);
}

.selector-content:hover .selector-p {
    font-weight: bold;
}

.selected {
    text-decoration:none;   
    width: 100%;
    padding: 0 0 0 10px;
    background-color: rgb(83, 144, 217, 0.45);
    border-radius: 10px;
    font-weight: bold;
}

/* comment reply */
.komen-container {
    width: 95%;
}

.one-komen-container {
    margin: 0 0 1.5vw 0;
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-direction: column;
}

.komen {
    width: 100%;
    border: #5390d9 solid 0.2vw;
    border-radius: 0.5vw;
    margin: 2vw 0 1vw 0;
}

.reply-container {
    width: 90%;
}

.reply {
    border: #5390d9 solid 0.2vw;
    border-radius: 0.5vw;
    margin: 0.5vw 0 1vw 0;
}

.judulKomen {
    font-size: 23px;
    font-weight: bold;
}

.subJudulKomen {
    font-size: 15px;
    padding: 0 0 0 1vw;
}

.headerKomen {
    padding-bottom: 7px;
}

.profile-container-komen {
    min-width: 80px;
    display: block;
}

.profile-komen {
    height: 55px;
    width: 55px;
    background-color: #bbb;
    border-radius: 50%;
    margin: 10px 15px 10px 10px;
    margin-left: auto;
    margin-right: auto;
    border: black solid 0.1vw;
    -webkit-text-stroke-width: 0.05vw;
    -webkit-text-stroke-color: black;
    user-select: none;
}

.inisial-komen {
    font-size: 35px; 
    color: white; 
    height: inherit;
}
.inside-post-komen {
    width: 100%;
    padding: 10px 0 10px 0;
}

.snippet-komen {
    width: 95%;
    padding-right: 12px;
}

.komen p, .reply p{
    margin-block-start: 0.5em;
    margin-block-end: 1em;
}

.isiKomen {
    margin: -10px 0 -20px 0;
}

.balas {
    color: #5390d9;
    text-decoration: none;
    width: 100%;
    text-align: right;
}

.balas:hover {
    color: blue;
}

.preview-edit-komen {
    width: 80%; 
    margin: auto;
    padding: 2vw 0;
}

.link-normal, .link-normal:hover, .link-normal:active {
    color: black;
    text-decoration: none;
}

/* button */
.button1, input[type=submit] {
    display: inline-block;
    padding:0.35em 1.2em;
    border: 0.13em solid #FFFFFF;
    margin: 0.5em 0.5em 1em 0;
    border-radius: 0.5em;
    box-sizing: border-box;
    text-decoration:none;
    font-weight: bold;
    color:#FFFFFF;
    text-align: center;
    transition: all 0.2s;
    font-size: 2vw;
    background-color: #5390d9;
}

#bodyButton {
    font-size: 22px;
    border: 0.13em solid #FFFFFF;
    padding: 0.4em 1.2em;
    margin: 0.5em 0.5em 0.5em 0.5em;
}

#bodyButton:hover {
    border: 0.13em solid #5390d9;
}

.form .bodyButton {
    font-size: 1.5vw;
    border: 0.13em solid #FFFFFF;
    padding: 0.4em 1.2em;
    margin: 0.5em 0.5em 0.5em 0.5em;
}

.form .bodyButton:hover {
    border: 0.13em solid #5390d9;
}

.button1:hover, input[type=submit]:hover {
    background-color: #FFFFFF;
    border: 0.13em solid #5390d9;
    color: #5390d9;
}

@media all and (max-width:30em){
    .button1, input[type=submit] {
        display: block;
        margin: 0.4em auto;
    }
}

/* Form HTML */
.form-background {
    background-color: rgb(83, 144, 217, 0.99);
    border-radius: 30px;
    margin-top: 10vh;
    margin-bottom: 10vh;
    padding-bottom: 10px;
}

.form {
    padding: 0 40px 0px 40px;  
}

/* Form Control */
.form-control {
    box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	border: 0.32vw solid #5390d9;
    border-radius: 10px;
	padding: 0.7vw;
	margin: 0 0 1vw 0;
	-webkit-transition: all 0.30s ease-in-out;
	-moz-transition: all 0.30s ease-in-out;
	-ms-transition: all 0.30s ease-in-out;
	-o-transition: all 0.30s ease-in-out;
	outline: none;
    background: transparent;
    color: black;
    font-size: 2vw;
    font-family: 'rubik';
    width: 80vw;
    resize: none;
}

.form-control::placeholder {
    color: black;
    opacity: 0.5;
}

.form-control:focus {
    -moz-box-shadow: 0 0 8px #5390d9;
	-webkit-box-shadow: 0 0 8px #5390d9;
	box-shadow: 0 0 8px #5390d9;
	border: 0.4vw solid #5390d9;
}

.form-control:focus::placeholder {
	color: black;
    opacity: 0.65;
}

.form-rgb {
    width: 22vw;
    margin-bottom: 2vw;
}

.form-comment {
    width: 100%;
    font-size: 20px;
    resize: none;
    margin: 0;
}

.form-reply {
    resize: none;
}

form label {
    font-size: 2vw;
}

#profil .form form, #readPost .form form {
    display: flex;
    justify-content: center;
    align-items: center;
}

#profil .form form p {
    padding-right: 10px;
}

#readPost .form form p {
    padding-right: 10px;
    width: 77%;
}

#readPost .form, #editComment .form {
    padding: 0;
    width: 100%;
}

#commentButton {
    font-size: 18px;
    border: 0.13em solid #FFFFFF;
    padding: 0.4em 0.8em;
    margin: 0.5em 0 0.5em 0.5em;
}

#commentButton:hover {
    border: 0.13em solid #5390d9;
}

#editComment .form form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#editComment .form form textarea {
    width: 80vw;
    height: 30vw;
}

#load {
    margin: 20px 0 20px 0;
}

#search {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
}

#inputSearch {
    margin: 10px 0 25px 0;
    width: 80%;
}

#select {
    width: 13%;
    margin-right: 10px;
}

.drpdwnSearch-content {
  position: absolute;
  background-color: white;
  width: 77%;
  min-height: 25%;
  max-height: 60%;
  box-shadow: 0px 4.6vw 3.2vw 0px rgba(0,0,0,0.2);
  z-index: 1;
  border: 5px solid white;
  border-radius: 15px;
  transform: translate(20%, -10%);
  overflow: scroll;
}

#searchStart {
    text-align: center;
    margin: 1.5% 0 0 0;
    font-size: 2em;
}

#load1 {
    display: none;
}

#load2 {
    display: none;
    position: absolute;
    z-index: 1;
    transform: translate(2750%, 50%);
}

#searchDivs {
    width: 99%;
    margin: 0 0 0 0;
}

/* arrow */
.arrow {
    width: 5px;
    height: 5px;
    border: solid #5390d9;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    background: transparent;
}

.showReplies:hover .arrow {
    border: solid #245da3;
    border-width: 0 3px 3px 0;
}

.showReplies:hover {
    color: #245da3;
}

.up {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    margin-top: 2px;
}

.down {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    margin-bottom: 2px;
}

.showReplies {
    text-align: left;
    width: 86%;
    padding-bottom: 1%;
    color: #5390d9;
}

.showRepliesChild1, .showRepliesChild2 {
    width: 30%;
    cursor: pointer;
}

.openCloseReplyP {
    display: inline-block;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}